/*
 * ToRegExp.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "ToRegExp.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace convert {

auto ToRegExpEpsilonNFA = registration::AbstractRegister < ToRegExp, regexp::UnboundedRegExp < >, const automaton::EpsilonNFA < > & > ( ToRegExp::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToRegExpStateElimination::convert).\n\
\n\
@param automaton the automaton to convert\n\
@return regular expression equivalent to the input @p automaton" );

auto ToRegExpMultiInitialStateNFA = registration::AbstractRegister < ToRegExp, regexp::UnboundedRegExp < >, const automaton::MultiInitialStateNFA < > & > ( ToRegExp::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToRegExpStateElimination::convert).\n\
\n\
@param automaton the automaton to convert\n\
@return regular expression equivalent to the input @p automaton" );

auto ToRegExpNFA = registration::AbstractRegister < ToRegExp, regexp::UnboundedRegExp < >, const automaton::NFA < > & > ( ToRegExp::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToRegExpStateElimination::convert).\n\
\n\
@param automaton the automaton to convert\n\
@return regular expression equivalent to the input @p automaton" );

auto ToRegExpDFA = registration::AbstractRegister < ToRegExp, regexp::UnboundedRegExp < >, const automaton::DFA < > & > ( ToRegExp::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToRegExpStateElimination::convert).\n\
\n\
@param automaton the automaton to convert\n\
@return regular expression equivalent to the input @p automaton" );

auto ToRegExpExtendedNFA = registration::AbstractRegister < ToRegExp, regexp::UnboundedRegExp < >, const automaton::ExtendedNFA < > & > ( ToRegExp::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToRegExpStateElimination::convert).\n\
\n\
@param automaton the automaton to convert\n\
@return regular expression equivalent to the input @p automaton" );

auto ToRegExpCompactNFA = registration::AbstractRegister < ToRegExp, regexp::UnboundedRegExp < >, const automaton::CompactNFA < > & > ( ToRegExp::convert, "automaton" ).setDocumentation (
"Performs the conversion (@sa ToRegExpStateElimination::convert).\n\
\n\
@param automaton the automaton to convert\n\
@return regular expression equivalent to the input @p automaton" );

} /* namespace convert */

} /* namespace automaton */
