/*
 * RandomizeAutomaton.cpp
 *
 *  Created on: 9. 2. 2017
 *	  Author: Jan Travnicek
 */

#include "RandomizeAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace generate {

auto RandomizeAutomatonDFA = registration::AbstractRegister < RandomizeAutomaton, automaton::DFA < >, const automaton::DFA < > & > ( RandomizeAutomaton::randomize, "fsm" ).setDocumentation (
"Shuffle the set of states of the automaton.\n\
\n\
@param fsm automaton to shuffle" );

auto RandomizeAutomatonMultiInitialStateNFA = registration::AbstractRegister < RandomizeAutomaton, automaton::MultiInitialStateNFA < >, const automaton::MultiInitialStateNFA < > & > ( RandomizeAutomaton::randomize, "fsm" ).setDocumentation (
"Shuffle the set of states of the automaton.\n\
\n\
@param fsm automaton to shuffle" );

auto RandomizeAutomatonNFA = registration::AbstractRegister < RandomizeAutomaton, automaton::NFA < >, const automaton::NFA < > & > ( RandomizeAutomaton::randomize, "fsm" ).setDocumentation (
"Shuffle the set of states of the automaton.\n\
\n\
@param fsm automaton to shuffle" );

auto RandomizeAutomatonEpsilonNFA = registration::AbstractRegister < RandomizeAutomaton, automaton::EpsilonNFA < >, const automaton::EpsilonNFA < > & > ( RandomizeAutomaton::randomize, "fsm" ).setDocumentation (
"Shuffle the set of states of the automaton.\n\
\n\
@param fsm automaton to shuffle" );

} /* namespace generate */

} /* namespace automaton */
