/*
 * Total.cpp
 *
 *  Created on: 20. 9. 2014
 *	  Author: Tomas Pecka
 */

#include "Total.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

auto TotalNFA = registration::AbstractRegister < Total, automaton::NFA < >, const automaton::NFA < > & > ( Total::total, "automaton" ).setDocumentation (
"Makes a finite automaton's transition function total.\n\
\n\
@param automaton automaton to alter\n\
@return an automaton equivalent to @p automaton with total transition function" );

auto TotalDFA = registration::AbstractRegister < Total, automaton::DFA < >, const automaton::DFA < > & > ( Total::total, "automaton" ).setDocumentation (
"Makes a finite automaton's transition function total.\n\
\n\
@param automaton automaton to alter\n\
@return an automaton equivalent to @p automaton with total transition function" );

} /* namespace simplify */

} /* namespace automaton */

