/*
 * AutomatonComplement.cpp
 *
 *  Created on: 13. 08. 2018
 *	  Author: Tomas Pecka
 */

#include "AutomatonComplement.h"
#include <common/createUnique.hpp>
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace transform {

auto AutomatonComplementDFA = registration::AbstractRegister < AutomatonComplement, automaton::DFA < >, const automaton::DFA < > & > ( AutomatonComplement::complement, "automaton" ).setDocumentation (
"Complement of a deterministic finite automaton.\n\
\n\
@param automaton automaton to complement\n\
@return deterministic FA representing the complement of @p automaton" );

} /* namespace transform */

} /* namespace automaton */
