/*
 * ToGrammarRightRGDerivation.cpp
 *
 *  Created on: 6. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "ToGrammarRightRGDerivation.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

namespace convert {

auto ToGrammarRightRGDerivationUnboundedRegExp = registration::AbstractRegister < ToGrammarRightRGDerivation, grammar::RightRG < DefaultSymbolType, unsigned >, const regexp::UnboundedRegExp < > & > ( ToGrammarRightRGDerivation::convert, "regexp" ).setDocumentation (
"Implements conversion of regular expressions to regular grammars usign Brzozowski's derivation algorithm.\n\
\n\
@param regexp the regexp to convert\n\
@return right regular grammar generating the language described by the original regular expression" );

auto ToGrammarRightRGDerivationFormalRegExp = registration::AbstractRegister < ToGrammarRightRGDerivation, grammar::RightRG < DefaultSymbolType, unsigned >, const regexp::FormalRegExp < > & > ( ToGrammarRightRGDerivation::convert, "regexp" ).setDocumentation (
"Implements conversion of regular expressions to regular grammars usign Brzozowski's derivation algorithm.\n\
\n\
@param regexp the regexp to convert\n\
@return right regular grammar generating the language described by the original regular expression" );

} /* namespace convert */

} /* namespace regexp */
