/*
 * RegExpEpsilon.cpp
 *
 *  Created on: 19. 1. 2014
 *	  Author: Tomas Pecka
 */

#include "RegExpEpsilon.h"
#include <regexp/formal/FormalRegExpElements.h>
#include <regexp/unbounded/UnboundedRegExpElements.h>
#include <registration/AlgoRegistration.hpp>

namespace regexp {

namespace properties {

auto RegExpEpsilonFormalRegExp = registration::AbstractRegister < RegExpEpsilon, bool, const regexp::FormalRegExp < > & > ( RegExpEpsilon::languageContainsEpsilon, "regexp" ).setDocumentation (
"Determines whether regular expression describes a language containing epsilon (\\eps \\in h(regexp)).\n\
\n\
@param regexp the regexp to test\n\
@return true of the language described by the regular expression contains epsilon" );

auto RegExpEpsilonUnboundedRegExp = registration::AbstractRegister < RegExpEpsilon, bool, const regexp::UnboundedRegExp < > & > ( RegExpEpsilon::languageContainsEpsilon, "regexp" ).setDocumentation (
"Determines whether regular expression describes a language containing epsilon (\\eps \\in h(regexp)).\n\
\n\
@param regexp the regexp to test\n\
@return true of the language described by the regular expression contains epsilon" );

} /* namespace properties */

} /* namespace regexp */
