/*
 * StringConcatenate.cpp
 *
 *  Created on: 17. 10. 2014
 *	  Author: Jan Travnicek
 */

#include "StringConcatenate.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

auto LinearStringConcatenate = registration::AbstractRegister < StringConcatenate, string::LinearString < >, const string::LinearString < > &, const string::LinearString < > & > ( StringConcatenate::concatenate, "first", "second" ).setDocumentation (
"Implements concatenation of two strings.\n\
\n\
@param first the first string to concatenate\n\
@param second the second string to concatenate\n\
@return string first . second" );

} /* namespace string */
